Name:           lean3-community
Version:        3.15.0c
Release:        2%{?dist}
Summary:        A modern theorem prover and programming language

License:        ASL 2.0
URL:            https://github.com/leanprover-community/lean

# The source for this package was pulled from upstream's git. Use the
# following commands to generate the tarball:
#
#   git clone https://github.com/leanprover-community/lean.git
#   cd lean
#   git archive --format=tar.gz --prefix=lean-3.15.0c/ \
#       -o lean-3.15.0c.tar.g zv3.15.0
Source0:        lean-3.15.0c.tar.gz 

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel
BuildRequires:  make
Requires:       gmp
Requires:       libgcc
Requires:       libstdc++

%description
Theorem prover and a dependently typed purely functional programming language.


%prep
%setup -q -n lean-%{version}


%build
%cmake -DCMAKE_BUILD_TYPE=Debug ./src
%make_build


%install
%make_install


%check
ctest -V %{?_smp_mflags}


%files
%license LICENSE
%doc README.md
%doc doc/*.md
%{_bindir}/lean
%{_bindir}/leanchecker
%{_bindir}/leanpkg
%{_includedir}/lean.h
%{_includedir}/lean_*.h
%{_includedir}/lean_ext/*
%{_exec_prefix}/lib/lean/*
%{_exec_prefix}/lib/libleanshared.so
%{_exec_prefix}/lib/libleanstatic.a


%changelog
* Thu Nov 21 2019 Matěj Grabovský <mgrabovs@redhat.com> - 3.5.0c-1
- Initial release of the community version 3.5.0c
